---
title: AbstractRange.collapsed
slug: Web/API/AbstractRange/collapsed
tags:
  - API
  - AbstractRange
  - DOM
  - DOM API
  - Empty
  - Property
  - Range
  - Reference
  - collapsed
---
<p>{{APIRef("DOM WHATWG")}}</p>

<p>The <strong><code>collapsed</code></strong> read-only property of the {{domxref("AbstractRange")}} interface returns <code>true</code> if the range's start position and end position are the same.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>isCollpased</em> = <em>range</em>.collapsed</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}} value which is <code>true</code> if the range is <strong>collapsed</strong>. A collapsed range is one in which the start and end positions are the same, resulting in a zero-character-long range..</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-collapsed', 'collapsed')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('Static Range','#dom-AbstractRange-collapsed','collapsed')}}</td>
   <td>{{Spec2('Static Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.AbstractRange.collapsed")}}</p>
